Back to Weibo
TikHub·Weibo

Weibo Web V2: Search user posts

/api/v1/weibo/web_v2/search_user_postssync$0.003 / call

Search for content containing specific keywords in a specified user's posts. (TikHub · Weibo Web V2)

Input
  • uidstringrequired

    User ID

  • qstring

    Search keyword (default "")

  • pageinteger

    Page number (default 1)

  • starttimeinteger

    Start timestamp (default 1772294400)

  • endtimeinteger

    End timestamp (default 1772294400)

  • hasoriinteger

    Include original posts, 1=include, 0=exclude (default 1)

  • hasretinteger

    Include retweets, 1=include, 0=exclude (default 1)

  • hastextinteger

    Include text posts, 1=include, 0=exclude (default 1)

  • haspicinteger

    Include image posts, 1=include, 0=exclude (default 1)

  • hasvideointeger

    Include video posts, 1=include, 0=exclude (default 1)

  • hasmusicinteger

    Include music posts, 1=include, 0=exclude (default 1)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/weibo/web_v2/search_user_posts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.